import { EventEmitter } from '@angular/core';
import { ComponentHelper } from '../../classes/component-helper';
import { Constants } from '../../core.consts';
import { ParamsProductsWithUniqueVariant } from '../../interfaces/paramsInterfaces/paramsProductsWithUniqueVariant';
import { Product } from '../../interfaces/product';
import { ProductDetailService } from '../../services/products/product-detail.service';
export declare class MultipleItemsToCartEcComponent extends ComponentHelper {
    consts: Constants;
    productService: ProductDetailService;
    product: Product;
    objectWithVariant: ParamsProductsWithUniqueVariant;
    totalCostItems: EventEmitter<any>;
    totalItems: EventEmitter<any>;
    total: number;
    countItems: number;
    constructor(consts: Constants, productService: ProductDetailService);
    ngOnInit(): void;
    optionsProductForVariant: () => Product[];
    setQuantity: (value: any, product: Product) => void;
    condition: (value: any, product: Product) => boolean;
    allWithoutTracking: () => boolean;
    private getObjectParamsWithVariant;
    getObjectWithVariant: () => ParamsProductsWithUniqueVariant;
}
